Bug 968034 - network --hostname line in kickstart generates a spurious error
network --hostname line in kickstart generates a spurious error
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 16:05 EDT by Jeff Bastian
Modified: 2015-02-18 06:04 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:04:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Bastian 2013-05-28 16:05:00 EDT
Description of problem:
The anaconda-ks.cfg generated during installation contains 2 network lines:

network  --bootproto=dhcp --device=eth0 --ipv6=auto --activate
network  --hostname=localhost.localdomain

If you try to use this anaconda-ks.cfg to install another system, it complains:

parse-kickstart ERROR: 'network --hostname=localhost.localdomain': missing --device
parse-kickstart ERROR: The following problem occurred on line 27 of the kickstart file:
Option --name is required

Version-Release number of selected component (if applicable):
anaconda-19.28-1.fc19

How reproducible:
every time?

Steps to Reproduce:
1. install Fedora 19
2. use /root/anaconda-ks.cfg to install more machines

Actual results:
multiple network lines break automated installation

Expected results:
single network line

Additional info:
Comment 1 Jeff Bastian 2013-05-28 16:08:59 EDT
Ignore the 2nd and 3rd errors, that was for a different problem in the ks file.  That is, ignore this:
  parse-kickstart ERROR: The following problem occurred on line 27 of the kickstart file:
  Option --name is required
Comment 2 Radek Vykydal 2013-06-04 08:40:51 EDT
(In reply to Jeff Bastian from comment #0)
> Description of problem:
> The anaconda-ks.cfg generated during installation contains 2 network lines:
> 
> network  --bootproto=dhcp --device=eth0 --ipv6=auto --activate
> network  --hostname=localhost.localdomain
> 
> If you try to use this anaconda-ks.cfg to install another system, it
> complains:
> 
> parse-kickstart ERROR: 'network --hostname=localhost.localdomain': missing
> --device
> parse-kickstart ERROR: The following problem occurred on line 27 of the
> kickstart file:
> Option --name is required
> 
> Version-Release number of selected component (if applicable):
> anaconda-19.28-1.fc19
> 
> How reproducible:
> every time?
> 
> Steps to Reproduce:
> 1. install Fedora 19
> 2. use /root/anaconda-ks.cfg to install more machines
> 
> Actual results:
> multiple network lines break automated installation
> 

Dose it actually break the installation? In my test with F19 Beta the error is ignored and the installation proceeds. The error message is not correct though and should go away, network commands specifying only hostname are valid.
Comment 3 Jeff Bastian 2013-06-07 11:12:48 EDT
Yes, you're right, the installation actually works ok.  (I guess it failed me for me originally because of the second error, I was missing a --name on an lvm volume in the kickstart file.)


Anaconda does complain about the double lines, though.  From anaconda.log on a system I just built with the 2 network lines:

15:06:13,316 INFO anaconda: unspecified network --device in kickstart, using eth0 (first active device)
Comment 4 David Shea 2014-03-03 14:10:24 EST
The error shouldn't have any effect, but it also shouldn't be there in the first place.
Comment 5 David Shea 2014-03-05 14:51:57 EST
Radek has a better patch for this.
Comment 6 Fedora End Of Life 2015-01-09 17:26:32 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-02-18 06:04:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.